﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            //this.DataContext = new CAR();
        }
    }

    public class CARItem
    {
        public DateTime ManufacturingDate { get; set; }
        public int Index { get; set; }
        public double Price { get; set; }
        public string Make { get; set; }
        public ObservableCollection<CARmodel> model {get; set; }
        
    }

    public class CARmodel : CARItem
    {       
        public string Model { get; set; }
    }

    public class CarProduction : ObservableCollection<CARItem>
    {
        public CarProduction()
        {

            CARItem Honda = new CARItem
            {
                ManufacturingDate = DateTime.Now,
                Index = 0,
                Price = 40000,
                Make = "Honda",
                model = new ObservableCollection<CARmodel>()
              
            };
            CARmodel hondaCivic = new CARmodel
            {
                Model = "Civic"
            };
            Honda.model.Add(hondaCivic);

            CARItem Mazda = new CARItem
            {
                ManufacturingDate = DateTime.Today.AddDays(10),
                Index = 0,
                Price = 30000,
                Make = "Mazda",
                model = new ObservableCollection<CARmodel>()
            };

            CARmodel mazda3 = new CARmodel
            {
                Model = "mazda3"
            };
            Mazda.model.Add(mazda3);

            this.Add(Honda);
            this.Add(Mazda);
        }
    }

}
